package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.FremsgVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitfreStoreBo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private FremsgVo fremsg;
    private SwiaddVo swiadd;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (fremsg == null) {
            fremsg = new FremsgVo();
        }
        fremsg.reset();
    }
}
